package com.cloud.kicc.common.core.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;

import java.util.List;

/**
 *<p>
 * 网关配置文件
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
@Data
@RefreshScope
@ConfigurationProperties("gateway")
public class GatewayConfigProperties {

	/**
	 * 网关解密登录前端密码
	 */
	private String encodeKey;

	/**
	 * 网关忽略不需要校验验证码是否合法的客户端
	 */
	private List<String> ignoreClients;

}
