package com.cloud.kicc.common.core.util;

import com.ulisesbocchio.jasyptspringboot.encryptor.DefaultLazyEncryptor;
import org.jasypt.encryption.StringEncryptor;
import org.springframework.core.env.StandardEnvironment;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.security.crypto.password.PasswordEncoder;

/**
 *<p>
 * Jasypt加解密单元测试
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/24
 */
public class JasyptUtil {

    public static void main(String[] args) {
        testEnvironmentProperties();
    }

    public static void testEnvironmentProperties() {
        System.setProperty("jasypt.encryptor.password", "kicc");

        PasswordEncoder ENCODER = new BCryptPasswordEncoder();

        System.out.println(ENCODER.encode("123456"));

        StringEncryptor stringEncryptor = new DefaultLazyEncryptor(new StandardEnvironment());
        //加密方法
        System.out.println(stringEncryptor.encrypt("kicc"));

        //解密方法
        System.out.println(stringEncryptor.decrypt("6GBMom2U/XAHuMG3OSkOMw=="));
    }

}
