package com.cloud.kicc.common.data.annotation;

import com.cloud.kicc.common.data.config.MybatisConfiguration;
import com.cloud.kicc.common.data.config.RedisTemplateConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 *<p>
 * 开启数据存储和访问层
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/9/15
 */
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Import({ MybatisConfiguration.class, RedisTemplateConfiguration.class })
public @interface EnableKiccDataRepository {

}
