package com.cloud.kicc.common.data.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cloud.kicc.common.data.entity.CommonEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 *<p>
 * SSO用户统一表
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/8/6
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("cas_sso_user")
@ApiModel(description = "SSO用户表")
public class SsoUser extends CommonEntity {

    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private String id;

    /** 用户名 */
    private String userName;

    /** 昵称 */
    private String nickName;

    /** 密码 */
    private String password;

    /** 用户邮箱 */
    private String email;

    /** 手机号码 */
    private String phone;

    /** 用户性别（0男 1女 2未知）*/
    private String sex;

    /** 头像路径 */
    private String avatar;

    /** 最后登陆IP */
    private String loginIp;

    /** 帐号状态（0正常 1停用）*/
    private String status;

    /** 最后登陆时间 */
    private LocalDateTime loginTime;

    /** 新密码 */
    @TableField(exist = false)
    private String newPassword;
}
