package com.cloud.kicc.common.datasource.dynamic;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 *<p>
 * 动态数据源
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/7/3
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class DynamicDataSource {

	/**
	 * 数据源ID
	 */
	private String id;

	/**
	 * 驱动类
	 */
	private String driverClass;

	/**
	 * 数据库链接
	 */
	private String url;

	/**
	 * 数据库账号名
	 */
	private String username;

	/**
	 * 数据库密码
	 */
	private String password;

}
