package com.cloud.kicc.common.datasource.util;

import lombok.SneakyThrows;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/**
 *<p>
 * 数据库工具类
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/7/3
 */
public class ConnUtil {

	/**
	 * 测试数据库链接
	 */
	@SneakyThrows
	public static Boolean dbTest(String driverClass, String url, String username, String password) {
		Connection conn = null;
		try {
			//测试驱动类
			Class.forName(driverClass);
			//创建连接
			conn = DriverManager.getConnection(url, username, password);
			conn.setAutoCommit(Boolean.FALSE);
			return true;
		} finally {
			//关闭连接
			dbClose(conn);
		}
	}

	/**
	 * 关闭数据库链接
	 */
	private static void dbClose(Connection conn) {
		try {
			//关闭数据源连接
			if (conn != null) {
				conn.close();
			}
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

}
