package com.cloud.kicc.common.feign.sentinel.parser;

import com.alibaba.csp.sentinel.adapter.spring.webmvc.callback.RequestOriginParser;

import javax.servlet.http.HttpServletRequest;

/**
 *<p>
 * sentinel 请求头解析判断
 * 配置Sentinel授权规则,根据什么条件进行判断
 * 白名单/黑名单
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
public class KiccHeaderRequestOriginParser implements RequestOriginParser {

	/**
	 * 请求头获取allow
	 */
	private static final String ALLOW = "Allow";

	/**
	 * Parse the origin from given HTTP request.
	 * @param request HTTP request
	 * @return parsed origin
	 */
	@Override
	public String parseOrigin(HttpServletRequest request) {
		return request.getHeader(ALLOW);
	}

}
