package com.cloud.kicc.common.security.config;

import com.cloud.kicc.common.security.properties.CasProperties;
import com.cloud.kicc.common.security.xss.XssFilterAutoConfiguration;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

/**
 *<p>
 * OAUTH2 配置
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/9/16
 */
@Configuration(proxyBeanMethods = false)
@Import({ XssFilterAutoConfiguration.class, SecurityMessageSourceConfiguration.class})
@EnableConfigurationProperties(CasProperties.class)
public class Oauth2SecurityAutoConfiguration {
}
