package com.cloud.kicc.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.http.HttpStatus;

/**
 *<p>
 * 禁止异常
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
@JsonSerialize(using = KiccAuth2ExceptionSerializer.class)
public class ForbiddenException extends KiccAuth2Exception {

	public ForbiddenException(String msg, Throwable t) {
		super(msg, t);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "access_denied";
	}

	@Override
	public int getHttpErrorCode() {
		return HttpStatus.FORBIDDEN.value();
	}

}
