package com.cloud.kicc.common.security.exception;

import com.cloud.kicc.common.core.enums.ExceptionEnum;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;
import lombok.SneakyThrows;

/**
 *<p>
 * OAuth2 异常格式化
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
public class KiccAuth2ExceptionSerializer extends StdSerializer<KiccAuth2Exception> {

	public KiccAuth2ExceptionSerializer() {
		super(KiccAuth2Exception.class);
	}

	@Override
	@SneakyThrows
	public void serialize(KiccAuth2Exception value, JsonGenerator gen, SerializerProvider provider) {
		gen.writeStartObject();
		gen.writeObjectField("code", ExceptionEnum.UNAUTHORIZED_ACCESS.getValue());
		gen.writeStringField("msg", value.getMessage());
		gen.writeStringField("data", value.getErrorCode());
		// 资源服务器会读取这个字段
		gen.writeStringField("error", value.getMessage());
		gen.writeEndObject();
	}

}
