package com.cloud.kicc.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.http.HttpStatus;

/**
 *<p>
 * 不允许的方法
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
@JsonSerialize(using = KiccAuth2ExceptionSerializer.class)
public class MethodNotAllowed extends KiccAuth2Exception {

	public MethodNotAllowed(String msg, Throwable t) {
		super(msg, t);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "method_not_allowed";
	}

	@Override
	public int getHttpErrorCode() {
		return HttpStatus.METHOD_NOT_ALLOWED.value();
	}

}
