package com.cloud.kicc.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.http.HttpStatus;

/**
 *<p>
 * 服务器错误异常
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
@JsonSerialize(using = KiccAuth2ExceptionSerializer.class)
public class ServerErrorException extends KiccAuth2Exception {

	public ServerErrorException(String msg, Throwable t) {
		super(msg, t);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "server_error";
	}

	@Override
	public int getHttpErrorCode() {
		return HttpStatus.INTERNAL_SERVER_ERROR.value();
	}

}
