package com.cloud.kicc.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.http.HttpStatus;

/**
 *<p>
 * 令牌不合法
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
@JsonSerialize(using = KiccAuth2ExceptionSerializer.class)
public class TokenInvalidException extends KiccAuth2Exception {

	public TokenInvalidException(String msg, Throwable t) {
		super(msg, t);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "invalid_token";
	}

	@Override
	public int getHttpErrorCode() {
		return HttpStatus.FAILED_DEPENDENCY.value();
	}

}
