package com.cloud.kicc.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.springframework.http.HttpStatus;

/**
 *<p>
 * 未经授权的异常
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
@JsonSerialize(using = KiccAuth2ExceptionSerializer.class)
public class UnauthorizedException extends KiccAuth2Exception {

	public UnauthorizedException(String msg, Throwable t) {
		super(msg, t);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "unauthorized";
	}

	@Override
	public int getHttpErrorCode() {
		return HttpStatus.UNAUTHORIZED.value();
	}

}
