package com.cloud.kicc.common.security.service.impl;

import com.cloud.kicc.common.data.entity.SsoUser;
import com.cloud.kicc.common.security.service.KiccUserDetailsService;
import com.cloud.kicc.common.security.template.UserProviderTemplate;
import lombok.RequiredArgsConstructor;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.security.core.userdetails.UserDetails;

/**
 *<p>
 * 用户详细信息
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/9/16
 */
@Slf4j
@Primary
@RequiredArgsConstructor
public class KiccUserDetailsServiceImpl implements KiccUserDetailsService {

	@Autowired(required = false)
	private UserProviderTemplate userProviderTemplate;

	/**
	 * 用户名密码登录
	 * @param username 用户名
	 */
	@Override
	@SneakyThrows
	public UserDetails loadUserByUsername(String username) {
		SsoUser result = userProviderTemplate.selectByUserName(username);
        return getUserDetails(result);
	}

	@Override
	public int getOrder() {
		return Integer.MIN_VALUE;
	}

}
