package com.cloud.kicc.common.security.template;

import com.cloud.kicc.common.data.entity.CasUser;
import com.cloud.kicc.common.data.entity.SsoUser;

/**
 *<p>
 * The user must implement the template
 * Contains SSO handler related to login
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/9/16
 */
public interface UserProviderTemplate<T extends CasUser> {

    default SsoUser selectByUserName(String userName) {
        return null;
    }

    default SsoUser selectByPhone(String phone) {
        return null;
    };

    default T selectByCasUserId(String casUserId) {
        return null;
    };

    default T selectByUserId(String userid) {
        return null;
    };

}
