package com.cloud.kicc.common.swagger.annotation;

import com.cloud.kicc.common.swagger.config.GatewaySwaggerAutoConfiguration;
import com.cloud.kicc.common.swagger.config.SwaggerAutoConfiguration;
import com.cloud.kicc.common.swagger.support.SwaggerProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 *<p>
 * 开启 swagger2
 *</p>
 *
 * @Author: wangxiang4
 * @Date: 2022/2/17
 */
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@EnableConfigurationProperties(SwaggerProperties.class)
@Import({ SwaggerAutoConfiguration.class, GatewaySwaggerAutoConfiguration.class })
public @interface EnableKiccSwagger2 {

}
